| MAXREFDES82# Code Documentation V01.00 Maxim Smart Force Sensor

- Main Page
- Modules
- Files

All Files Functions Variables Macros Groups Pages
Functions
STM32F4xx_System_Private_Functions
Stm32f4xx_system

## Functions
void | SystemInit (void)
| Setup the microcontroller system Initialize the FPU setting, vector table location and External memory configuration.
void | SystemCoreClockUpdate (void)
| Update SystemCoreClock variable according to Clock Register Values. The SystemCoreClock variable contains the core clock (HCLK), it can be used by the user application to setup the SysTick timer or configure other parameters.

## Detailed Description

## Function Documentation

void SystemCoreClockUpdate | ( | void |  | ) |

Update SystemCoreClock variable according to Clock Register Values. The SystemCoreClock variable contains the core clock (HCLK), it can be used by the user application to setup the SysTick timer or configure other parameters.

Note
  Each time the core clock (HCLK) changes, this function must be called to update SystemCoreClock variable value. Otherwise, any configuration based on this variable will be incorrect.
  - The system frequency computed by this function is not the real frequency in the chip. It is calculated based on the predefined constant and the selected clock source:

- If SYSCLK source is HSI, SystemCoreClock will contain the HSI_VALUE(*)

- If SYSCLK source is HSE, SystemCoreClock will contain the HSE_VALUE(**)

- If SYSCLK source is PLL, SystemCoreClock will contain the HSE_VALUE(**) or HSI_VALUE(*) multiplied/divided by the PLL factors.

(*) HSI_VALUE is a constant defined in stm32f4xx_hal_conf.h file (default value 16 MHz) but the real value may vary depending on the variations in voltage and temperature.

(**) HSE_VALUE is a constant defined in stm32f4xx_hal_conf.h file (its value depends on the application requirements), user has to ensure that HSE_VALUE is same as the real frequency of the crystal used. Otherwise, this function may have wrong result.

- The result of this function could be not correct when using fractional value for HSE crystal.

Parameters

  None |

Return values

  None |

Definition at line 219 of file system_stm32f4xx.c.

void SystemInit | ( | void |  | ) |

Setup the microcontroller system Initialize the FPU setting, vector table location and External memory configuration.

Parameters

  None |

Return values

  None |

Definition at line 150 of file system_stm32f4xx.c.